🌍 Astrocartography API and βœ‹ Palmistry API are now live. Ship them in your app today.Get Started

Pitra Dosha Report

The pitra_dosha_report API provides a report on the presence of Pitri Dosha in a horoscope, including a description of what Pitri Dosha is, whether it is present or not, the rules matched, remedies, and effects. The response includes information such as the rules that cause Pitri Dosha, remedies to overcome it, and its potential negative effects, such as delays in marriage and education or inherited diseases.
POSThttps://json.astrologyapi.com/v1/pitra_dosha_report

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/pitra_dosha_report' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data β€” no API key needed

{
  "what_is_pitri_dosha": "Pitri Dosha is a Karmic Debt of the ancestors and reflected in the horoscope in the form of planetary combinations. It can also happen due to the neglect of ancestors and not providing them their proper due in the form of shraddh or charity or spiritual upliftments.",
  "is_pitri_dosha_present": true,
  "rules_matched": [
    "Conjuction of Moon and Rahu and/or Rahu and Saturn causes Pitri Dosha."
  ],
  "conclusion": "Your horoscope is having Pitri Dosha as it is satisfying 1 rules laid down for Pitri Dosha. You should not worry as there are remedies for Pitri Dosha which you can perform and be relieved from this dosha.",
  "remedies": [
    "Following are the remedies to be performed for Pitri Dosha",
    "Pitri dosha nivaran puja should be performed to pacify that malefic planet in Pitri paksha.",
    "Auspicious Puja, Vrat for destroying the effects of past sinful deeds or Pitra Dosha.",
    "Charity on Akshaya Tritiya.",
    "Perform Trapandi Shraad to get rid of Pitri dosha.",
    "Giving water to the Banyan tree is also a remedial measure for pitri dosha.",
    "Offer food to Brahmins on every \"Amavasya\".",
    "Donate food items on every \"Amavasya\" and \"Poornima\" in some temple or other religious places.",
    "Conduct Mantra Jap, Puja, Charity in Adhik or Purushottam Maas.",
    "Perform Puja, Vrat on Falharini Kalika Jyeshtha Amvasya.",
    "Worship Lord Shiva regularly to have peace to you and your ancestors."
  ],
  "effects": [
    "Following are the effects of Pitri Dosha - ",
    "Pitri Dosha leads to unfavorable environment in the family.",
    "It also leads to delay in marriage and having unsuccessful marriages.",
    "Pitri Dosh can also cause accidents or unwanted incidents in the family.",
    "It can cause delay or obstructions in education with or may land one into never ending debts.",
    "Inherited diseases and prolong illness is one of the ill effects of pitri dosha"
  ]
}